Packages - Bug #2635

Ixsession-logout without suspend, hibernate, shutdown
2020-02-17 05:20 PM - nona

Status: not-a-bug % Done: 0%
Priority: bug

Assignee: freemor

Category:

Description

Hi!

| updated my system yesterday, and today, my Ixsession-logout menu only shows options to block screen, switch user and close
session. The options to suspend, hibernate and shutdown are gone. | don't know if Ixsession-logout is actually responsible for that,
because when | close the session, the session greeter (to log in again) does not show those options either. If nobody else is affected,
where can | start digging to figure out where the problem lies? Thank you.

History

#1 - 2020-02-17 07:22 PM - nona

Using lightdm

—
| pacman -Qs '(Ixsession|lightdm)'
(I

—_—
| localllightdm 1:1.30.0-2

| Alightweight display manager

| local/lightdm-gtk-greeter 1:2.0.7-1

|  GTK+ greeter for LightDM

| local/lxsession 1:0.5.4-1 (Ixde)

|  Lightweight X11 session manager
[

—_—
| grep "DISPLAYMANAGER' /etc/conf.d/xdm
| I

—
| DISPLAYMANAGER="lightdm"
I

Using OpenRC

—
| Is -I /usr/bin/init
[

—
| Irwxrwxrwx 1 root root 11 ene 4 19:12 /usr/bin/init -> openrc-init
[

Kernel

—_—
| uname -r
[

—_—
| 4.19.101-gnu-1-Its
[

#2 - 2020-02-17 07:26 PM - nona

polkit seems disabled for some reason

Error mounting /dev/sdbl: GDBus.Error:org.freedesktop.UDisks2.Error.NotAuthorized: Not authorized to perform o
peration (polkit authority not available and caller is not uid 0)

#3 - 2020-02-21 05:05 AM - nona

nona wrote:

polkit seems disabled for some reason

(-]
[SOLVED] | updated my computer today, and | have the options to hibernate again. | don't think to have changed anything else.

#4 - 2020-02-27 01:29 AM - freemor

- Assignee set to freemor

Closing as OP says the issue was transient.

#5 - 2020-04-05 09:19 PM - bill-auger

- Status changed from unconfirmed to not-a-bug

frremor you did not close it
